<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage Onlook
 * @since onlook 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
		<h3 class="comments-title">
			<?php
				$comments_number = get_comments_number();
				if ( 1 === $comments_number ) {
					_x( 'One comment', 'comments title', 'onlook' );
				} else {
					printf(
						_nx('%1$s comment', '%1$s comments', $comments_number, 'comments title', 'onlook'),
						number_format_i18n( $comments_number )
					);
				}
			?>
		</h3>

		<?php the_comments_navigation(); ?>

		<ol class="comment-list list-unstyled">
			<?php
				wp_list_comments('type=comment&callback=onlook_comment&avatar_size=50');
			?>
		</ol><!-- .comment-list -->

		<?php the_comments_navigation(); ?>

	<?php endif; // Check for have_comments(). ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.','onlook' ); ?></p>
	<?php endif; ?>
    <?php $comment_args = array(
	
	'fields' => apply_filters( 'comment_form_default_fields', array(

		'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name','onlook' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
					'<br /><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
		'email'  => '<p class="comment-form-email">' .
					'<label for="email">' . __( 'Email','onlook' ) . '</label> ' .
					( $req ? '<span class="required">*</span>' : '' ) .
					'<br /><input id="email" name="email" type="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' />'.'</p>',
		'url'    => '' ) ),
		'comment_field' => 	'<p>'.
							'<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea>'.
							'</p>',
		'class_submit' => 'btn-primary',
		'cancel_reply_before'  => '</h3>',
		'cancel_reply_after'  => '',
		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( '<a href="%1$s" aria-label="'.__('Logged in as %2$s. Edit your profile.','onlook').'">'.__('Logged in as %2$s','onlook').'</a>. <a href="%3$s">'.__('Log out?','onlook').'</a>', get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
	);
	comment_form($comment_args); ?>
</div><!-- .comments-area -->
